### Method

# Xdp Portal update_install_finish

#### Declaration [src]

    gboolean
    xdp_portal_update_install_finish (
      XdpPortal* portal,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes an update-installation request.

Returns the result in the form of boolean.

Note that the update may not be completely installed by the time this function is called. You need to listen to the `XdpPortal::update-progress` signal to learn when the installation is complete.

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult`
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if the update is being installed.